# Result-Management-Application
A Result Management System using HTML, CSS, JavaScript , Node and using MVC Model.<br/>
• Two types of users can login to application by clicking a button on homepage.<br/>
• Students can enter their roll number and date of birth to view their result.<br/>
• Teachers can View all records, add new record, edit and delete the records.<br/>

# Setup Guide 

## Database 
1. Signin/up to https://www.mongodb.com/cloud/atlas/register 
2. Create a cluster and connect it to your application.
3. Refer to : https://www.section.io/engineering-education/nodejs-mongoosejs-mongodb/
4. Do edit your password and desired database name in the connection string copied to app.js file.
  
## Backend 
1. Open the project in Visual Studio Code.
2. Go to toolbar --> terminal --> Open new terminal.
3. Run "npm install" and "npm install -g nodemon" .
4. Now to run the project --> Run "node app.js" on terminal.
  
## Frontend
1. Open URL "https://localhost:3000" on a browser.

# Screen-Shots 

## Project Structure

<img width="267" alt="Project structure" src="https://user-images.githubusercontent.com/63288542/149562789-4f73ff63-f0cb-49ca-98a3-a24d1d3480dd.PNG">

## HomePage 

<img width="400" alt="homepage" src="https://user-images.githubusercontent.com/63288542/149562845-9e15edce-4292-4ae7-9122-eb7c0e0da909.PNG">

## Teacher Login 

<img width="400" alt="teacher login" src="https://user-images.githubusercontent.com/63288542/149562922-5e7065ea-1fc1-44fa-bc45-503099bb4635.PNG">

## Teacher dashboard

<img width="400" alt="teacher dashboard" src="https://user-images.githubusercontent.com/63288542/149563436-2ea54c38-32d7-44a7-85a6-d53a031bb0b9.PNG">


## View All Students Result

<img width="400" alt="view all students" src="https://user-images.githubusercontent.com/63288542/149562977-8e2d30db-ef9e-464d-83c5-250b09b6ded4.PNG">

## Add student result

<img width="400" alt="add student" src="https://user-images.githubusercontent.com/63288542/149562992-e2ca4332-18db-4a95-9add-b3460e8b2521.PNG">

## Student Login

<img width="400" alt="student login" src="https://user-images.githubusercontent.com/63288542/149563029-e6640265-693d-49b5-af0f-5a4949fadb71.PNG">
